Show / Hide Table of Contents

# Class OpenIddictValidationSystemNetHttpBuilder

Exposes the necessary methods required to configure the OpenIddict validation/System.Net.Http integration.

##### Inheritance

System.Object
OpenIddictValidationSystemNetHttpBuilder

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictValidationSystemNetHttpBuilder

### Constructors

#### OpenIddictValidationSystemNetHttpBuilder(IServiceCollection)

Initializes a new instance of OpenIddictValidationBuilder.

##### Declaration

    public OpenIddictValidationSystemNetHttpBuilder(IServiceCollection services)

##### Parameters

Type | Name | Description
--- | --- | ---
IServiceCollection | services | The services collection.

### Methods

#### Configure(Action<OpenIddictValidationSystemNetHttpOptions>)

Amends the default OpenIddict validation/server integration configuration.

##### Declaration

    public OpenIddictValidationSystemNetHttpBuilder Configure(Action<OpenIddictValidationSystemNetHttpOptions> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Action<OpenIddictValidationSystemNetHttpOptions> | configuration | The delegate used to configure the OpenIddict options.

##### Returns

Type | Description
--- | ---
OpenIddictValidationSystemNetHttpBuilder | The OpenIddictValidationSystemNetHttpBuilder.

##### Remarks

This extension can be safely called multiple times.

#### SetHttpErrorPolicy(IAsyncPolicy<HttpResponseMessage>)

Replaces the default HTTP error policy used by the OpenIddict validation services.

##### Declaration

    public OpenIddictValidationSystemNetHttpBuilder SetHttpErrorPolicy(IAsyncPolicy<HttpResponseMessage> policy)

##### Parameters

Type | Name | Description
--- | --- | ---
IAsyncPolicy<HttpResponseMessage> | policy | The HTTP Polly error policy.

##### Returns

Type | Description
--- | ---
OpenIddictValidationSystemNetHttpBuilder | The OpenIddictValidationSystemNetHttpBuilder.